complexType "PaymentBaseExtended"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 5 elements
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definition of 1 element
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | payerPartyReference?, payerAccountReference?, receiverPartyReference?, receiverAccountReference?, paymentDate?
</...>

Content Model Elements (5):

  payerAccountReference,
  payerPartyReference (defined in PayerReceiver.model group),
  paymentDate (defined in PaymentBaseExtended complexType),
  receiverAccountReference,
  receiverPartyReference (defined in PayerReceiver.model group)

Known Direct Subtypes (2):

  NonNegativePayment, PositivePayment

Known Indirect Subtypes (4):

  ClassifiedPayment, CommodityPremium, FxOptionPremium, InterestPaymentDetails

All Direct / Indirect Based Elements (11):

  additionalPayment (defined in NettedSwapBase complexType), payment (defined in ImpliedTrade complexType), payment (defined in TradingEventSummary complexType), payment (in optionExercise), paymentDetails (in grossTreatment), paymentDetails (in netTreatment), | paymentDetails (in singleTreatment), premium (in commodityOption), premium (in commoditySwaption), premium (in fxDigitalOption), premium (in fxOption)

Known Usage Locations

- In derivations of other global types (2):

  NonNegativePayment (as extension base), | PositivePayment (as extension base)

Annotation
Base type for payments.
Type Definition Detail

Type Derivation Tree PaymentBase (extension) PaymentBaseExtended

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType abstract="true" name="PaymentBaseExtended"> <xsd:complexContent> <xsd:extension base="PaymentBase"> <xsd:sequence> <xsd:group ref="PayerReceiver.model"/> <xsd:element minOccurs="0" name="paymentDate" type="AdjustableOrRelativeDate"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/5)
paymentDate

  Type: | AdjustableOrRelativeDate, complex content

  The payment date, which can be expressed as either an adjustable or relative date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="paymentDate" type="AdjustableOrRelativeDate"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.